diff options
author | jimmydot <jf2512@att.com> | 2017-05-08 18:00:46 -0400 |
---|---|---|
committer | jimmydot <jf2512@att.com> | 2017-05-08 18:00:46 -0400 |
commit | 8b8addd807e135911ee3b15b9323b4e78a543a20 (patch) | |
tree | 55a16dfaada06ae57318054386a7a4fb60ee9315 /deliveries/src/main/scripts/localize_asdc.sh | |
parent | bf9dd44f0417623b35ed7631727325b510d61b3d (diff) |
[VID-6] Strip carriage returns from scripts
Change-Id: I96e3eaaf48c7bd4d98a9fdcc1f5d6f9ec489302d
Signed-off-by: jimmydot <jf2512@att.com>
Diffstat (limited to 'deliveries/src/main/scripts/localize_asdc.sh')
-rwxr-xr-x | deliveries/src/main/scripts/localize_asdc.sh | 34 |
1 files changed, 17 insertions, 17 deletions
diff --git a/deliveries/src/main/scripts/localize_asdc.sh b/deliveries/src/main/scripts/localize_asdc.sh index 9a25b61d..549c17af 100755 --- a/deliveries/src/main/scripts/localize_asdc.sh +++ b/deliveries/src/main/scripts/localize_asdc.sh @@ -1,17 +1,17 @@ -#!/bin/bash
-
-FINAL_CONFIG_FILE=/tmp/vid/stage/WEB-INF/conf/asdc.properties
-TEMPLATE_CONFIG_FILE=/tmp/vid/stage/WEB-INF/conf/asdc_template.properties
-
-echo "Localizing the ASDC client configuration"
-
-sed -e 's ${ASDC_CLIENT_TYPE} '${ASDC_CLIENT_TYPE}' g' \
- -e 's ${ASDC_CLIENT_REST_HOST} '${ASDC_CLIENT_REST_HOST}' g' \
- -e 's ${ASDC_CLIENT_REST_PORT} '${ASDC_CLIENT_REST_PORT}' g' \
- -e 's ${ASDC_CLIENT_REST_PROTOCOL} '${ASDC_CLIENT_REST_PROTOCOL}' g' \
- -e 's/${ASDC_CLIENT_REST_AUTH}/'"${ASDC_CLIENT_REST_AUTH}"'/g' ${TEMPLATE_CONFIG_FILE} > ${FINAL_CONFIG_FILE} || {
- echo "ERROR: Could not process template file ${TEMPLATE_CONFIG_FILE} into ${FINAL_CONFIG_FILE}"
- exit 4
- }
-
-echo "Localized ${FINAL_CONFIG_FILE} successfully."
+#!/bin/bash + +FINAL_CONFIG_FILE=/tmp/vid/stage/WEB-INF/conf/asdc.properties +TEMPLATE_CONFIG_FILE=/tmp/vid/stage/WEB-INF/conf/asdc_template.properties + +echo "Localizing the ASDC client configuration" + +sed -e 's ${ASDC_CLIENT_TYPE} '${ASDC_CLIENT_TYPE}' g' \ + -e 's ${ASDC_CLIENT_REST_HOST} '${ASDC_CLIENT_REST_HOST}' g' \ + -e 's ${ASDC_CLIENT_REST_PORT} '${ASDC_CLIENT_REST_PORT}' g' \ + -e 's ${ASDC_CLIENT_REST_PROTOCOL} '${ASDC_CLIENT_REST_PROTOCOL}' g' \ + -e 's/${ASDC_CLIENT_REST_AUTH}/'"${ASDC_CLIENT_REST_AUTH}"'/g' ${TEMPLATE_CONFIG_FILE} > ${FINAL_CONFIG_FILE} || { + echo "ERROR: Could not process template file ${TEMPLATE_CONFIG_FILE} into ${FINAL_CONFIG_FILE}" + exit 4 + } + +echo "Localized ${FINAL_CONFIG_FILE} successfully." |